import 'package:flutter/material.dart';

class ExistingMemberHiddenDetail extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('茶叶详情'),
        leading: IconButton(
          icon: const Icon(Icons.arrow_back),
          onPressed: () => Navigator.pop(context),
        ),
      ),
      body: Stack(
        children: [
          Padding(
            padding: const EdgeInsets.only(bottom: 70.0),
            child: SingleChildScrollView(
              child: Column(
                children: [
                  // Image carousel placeholder
                  Container(
                    color: Colors.grey[400],
                    height: 200,
                    width: double.infinity,
                    child: const Center(
                      child: Column(
                        mainAxisAlignment: MainAxisAlignment.center,
                        children: [
                          Icon(Icons.image, size: 60, color: Colors.white),
                          SizedBox(height: 8),
                          Text("图片加载中...",
                              style: TextStyle(color: Colors.white)),
                        ],
                      ),
                    ),
                  ),

                  const SizedBox(height: 12),

                  // Product info
                  Container(
                    padding: const EdgeInsets.symmetric(horizontal: 16.0),
                    width: double.infinity,
                    child: const Column(
                      crossAxisAlignment: CrossAxisAlignment.start,
                      children: [
                        Text(
                          '杭州龙井',
                          style: TextStyle(
                              fontSize: 20, fontWeight: FontWeight.bold),
                        ),
                        SizedBox(height: 4),
                        Text('99人购买 | 累计销售 8950 克'),
                        SizedBox(height: 4),
                        Text(
                          '¥999  （50克）',
                          style: TextStyle(fontSize: 16, color: Colors.red),
                        ),
                      ],
                    ),
                  ),

                  const SizedBox(height: 12),

                  // Description section
                  const Padding(
                    padding: EdgeInsets.symmetric(horizontal: 16.0),
                    child: Column(
                      crossAxisAlignment: CrossAxisAlignment.start,
                      children: [
                        Divider(),
                        Text(
                          '茶叶介绍',
                          style: TextStyle(
                              fontSize: 16, fontWeight: FontWeight.bold),
                        ),
                        SizedBox(height: 8),
                        Text(
                          '介绍一二三四五六七八九十一二三四五六七八九十一二三四五六七八九十一二三四五六七八九十一二三四五六七八九十一二三四五六七八九十一二三四五六七八九十一二三四五六七八九十一二三四五六七八九十一二三四五六七八九十一二三四五六七八九十一二三四五六七八九十一二三四五六七八九十\n'
                          'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n'
                          'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n'
                          'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n'
                          'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n'
                          'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n'
                          'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n'
                          'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n'
                          'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n'
                          'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n'
                          'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n'
                          'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n'
                          'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n'
                          'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n'
                          'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n'
                          'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n'
                          'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n'
                          'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n'
                          'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n'
                          '一二三四五六七八九十一二三四五六七八九十一',
                          style: TextStyle(fontSize: 14),
                        ),
                      ],
                    ),
                  ),

                  const SizedBox(height: 12),
                ],
              ),
            ),
          ),
          // Bottom bar
          Positioned(
            bottom: 0,
            left: 0,
            right: 0,
            height: 70,
            child: Container(
              color: Colors.grey[100],
              padding:
                  const EdgeInsets.symmetric(horizontal: 16.0, vertical: 12),
              child: Row(
                children: [
                  const Expanded(
                    child: Text(
                      '联系方式：18888888888',
                      style: TextStyle(fontSize: 16),
                    ),
                  ),
                  ElevatedButton.icon(
                    onPressed: () {
                      // Add call or message logic
                    },
                    style: ElevatedButton.styleFrom(
                      backgroundColor: Colors.pinkAccent,
                      padding: const EdgeInsets.symmetric(
                          horizontal: 16, vertical: 12),
                    ),
                    icon: const Icon(
                      Icons.phone,
                      color: Colors.white,
                    ),
                    label: const Text(
                      '联系购买',
                      style: TextStyle(color: Colors.white),
                    ),
                  ),
                ],
              ),
            ),
          ),
        ],
      ),
    );
  }
}
